---
Name: "kube-lib/kube-config"
Description: "Kubernetes Kube.Config file"
Documentation: |
  Param is set (output) by the cluster building process

  To use the file, use one of the following:

    * save to `$HOME/.kube`
    * `export KUBECONFIG=[file]`
    * pass `--kubeconfig=[kube.config]` to the kubectl or other tools.

  If your cluster is using the default `cluster01` then tou can retrieve the `kube.config` file using:

      drpcli profiles get cluster01 param  kube-lib/kube-config --decode > kube.config

  !!! note
      This is stored as a secure object so the decode is required.

Secure: true
Schema:
  type: object
Meta:
  type: "password"
  color: "blue"
  icon: "file code"
  title: "Community Content Copyright RackN 2019"
  downloadable: "kube.config"
  clipboard: "true"
